Subject: TransCanada Energy Marketing USA / TransCanada Gas Services, Inc.
From: [email-masked]
To: [email-masked]
Cc: [email-masked]
Date: Wed, 21 Jun 2000 07:11:00 -0700 (PDT)

I wanted to let  you know I am currently negotiating two Master Gas 
Agreements with TransCanada for the two entities listed above.  As previously 
discussed, credit suggests increasing  TransCanada Pipelines Ltd.'s  guaranty 
to $50MM and decreasing Enron's to the same amount.    Have you discussed 
TransCanada's guaranty?    Is $50MM large enough to cover your agreement? 

Veronica Espinoza(66002) in credit is working with me on guaranty issues.   
Finally, did you receive copies of Enron's and TransCanads's guaranty?  If  
not, let me know I will fax same.  Their guaranty expires the end of this 
month. 

Regards,
Debra Perlingiere
Enron North America Corp.
1400 Smith Street, EB 3885
Houston, Texas 77002
[email-masked]
Phone 713-853-7658
Fax  713-646-3490